/*----------------------------------------------------------------------------
 * CataPack
 *
 * Authors: Paolo Montegriffo <paolo.montegriffo@oabo.inaf.it>
 *
 * Copyright (C) 2001-2006 INAF - Osservatorio Astronomico di Bologna.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *--------------------------------------------------------------------------*/

#ifndef CPK_MAP_H
#define CPK_MAP_H 1

/****************RINOMINARE TUTTO COME CXC_MAP ****************************/
/****************AL MOMENTO DELL'INTEGRAZIONE DI CATAXCORR ****************/

#include "common.h"

BEGIN_C_DECLS

#include <gdk/gdk.h>
#include "cpk_draw.h"

#include "cataxcorr.h"
#include "platemodel.h"
#include "cpk_gtk_util.h"

#define TYPE_CPK_MAP                (cpk_map_get_type ())
#define CPK_MAP(obj)                (GTK_CHECK_CAST ((obj), TYPE_CPK_MAP, CpkMap))
#define CPK_MAP_CLASS(klass)        (GTK_CHECK_CLASS_CAST ((klass), TYPE_CPK_MAP, CpkMapClass))
#define CPK_IS_MAP(obj)             (GTK_CHECK_TYPE ((obj), TYPE_CPK_MAP))
#define CPK_IS_MAP_CLASS(klass)     (GTK_CHECK_CLASS_TYPE ((klass), TYPE_CPK_MAP))


enum {
   MAP_LAST_SIGNAL
} ;

typedef struct _CpkMap	      CpkMap ;
typedef struct _CpkMapClass  CpkMapClass ;

struct _CpkMap
{
   CpkDraw    draw ;
   
   GdkGC      *gc[6] ;
   GdkGC     **stack_gc ;
   guint       ngc ;

   StarList   *list ;
   PlateMod   *model ;
   gint       *mode ;

   gdouble     mcut1, mcut2 ;
   gdouble     mrange ;
   gdouble     origin[2] ;
   gdouble     radius ;
   guint       fnorm ;

   gdouble    dragx, dragy ;
   gdouble    dragz, dragd ;
   gdouble    draga, dragr ;
   gdouble    zoom ;
   gint        izoom ;
   gdouble     panx, pany ;
   gdouble    rot ;
   gint        swx, swy ;
   gdouble     map_scale, pan_scale, swxx, cos_rot, sin_rot ;
} ;

struct _CpkMapClass
{
   CpkDrawClass parent_class ;

   /* Signals for notification/filtering of changes */

   /* Bindings actions */

   /* */
} ;

extern GtkType     cpk_map_get_type          (void) ;
extern GtkWidget  *cpk_map_new               (GtkWidget     *widget) ;



END_C_DECLS

#endif /* !CPK_MAP_H */
