/*----------------------------------------------------------------------------
 * CataPack
 *
 * Authors: Paolo Montegriffo <paolo.montegriffo@oabo.inaf.it>
 *
 * Copyright (C) 2001-2006 INAF - Osservatorio Astronomico di Bologna.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *--------------------------------------------------------------------------*/

#ifndef CXC_BUTTONS_H
#define CXC_BUTTONS_H 1

#include "common.h"

BEGIN_C_DECLS

/*----------------------------------------------------------------------------
 * 							Function prototypes
 *--------------------------------------------------------------------------*/

extern GtkWidget  *cxc_menu_main            (GtkWidget     *window,
                                             cxc_display   *display) ;
extern GtkWidget  *cxc_buttons_main         (GtkWidget     *window, 
                                             cxc_display   *display) ;

extern void        cxc_buttons_frame_mode   (cxc_display   *display, 
                                             enum mode_tag  mode ) ;
extern void        cxc_buttons_mode_status  (cxc_display   *display, 
                                             enum mode_tag  mode) ;
extern void        cxc_buttons_swap         (cxc_display   *display) ;

extern void        cxc_buttons_pnt_action   (cxc_display   *display, 
                                             PointerAct     action ) ;

extern void        cxc_set_cursor           (GtkWidget     *widget, 
                                             cxc_display   *display) ;
END_C_DECLS

#endif /* !CXC_BUTTONS_H */
