/*----------------------------------------------------------------------------
 * CataPack
 *
 * Authors: Paolo Montegriffo <paolo.montegriffo@oabo.inaf.it>
 *
 * Copyright (C) 2001-2006 INAF - Osservatorio Astronomico di Bologna.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *--------------------------------------------------------------------------*/

#ifndef CXC_FRAMES_H
#define CXC_FRAMES_H 1

#include "common.h"
#include <gdk/gdk.h>
#include "cxc_gtk_main.h"

BEGIN_C_DECLS

extern void        cxc_frames_init            (cxc_display   *display) ;

extern GtkWidget  *frames_realize             (GtkWidget     *window,
                                               cxc_display   *display) ;
extern void        frame_select               (cxc_display   *display, 
                                               guint          n) ;
extern gint        cxc_frame_select           (cxc_display   *display) ;

extern guint       cxc_second_frame           (cxc_display   *display) ;

extern void        set_frame_single           (cxc_display   *display,
                                               guint          action,
                                               GtkWidget     *item) ;
extern void        set_frame_pair             (cxc_display   *display,
                                               guint          action,
                                               GtkWidget     *item) ;
extern void        set_frame_tile             (cxc_display   *display,
                                               guint          action,
                                               GtkWidget     *item) ;
extern void        set_frame_blink            (cxc_display   *display,
                                               guint          action,
                                               GtkWidget     *item) ;
extern void        set_frame_merge            (cxc_display   *display,
                                               guint          action,
                                               GtkWidget     *item) ;
extern void        set_frame_coinc            (cxc_display   *display,
                                               guint          action,
                                               GtkWidget     *item) ;
extern void        frame_reset                (GtkWidget     *toggle, 
                                               cxc_display  *display ) ;
extern void        frame_next                 (GtkWidget     *button,
                                               cxc_display   *display) ;
extern void        frame_prev                 (GtkWidget     *button,
                                               cxc_display   *display) ;

extern gint        blink_timer                (gpointer       data) ;
extern void        blink_timeout_remove       (gpointer       data) ;
extern void        cxc_frame_reparent         (cxc_display   *display) ;

END_C_DECLS

#endif /* !CXC_FRAMES_H */
