/*----------------------------------------------------------------------------
 * CataPack
 *
 * Authors: Paolo Montegriffo <paolo.montegriffo@oabo.inaf.it>
 *
 * Copyright (C) 2001-2006 INAF - Osservatorio Astronomico di Bologna.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
 * 					      Bologna Astronomical Observatory
 *----------------------------------------------------------------------------
 * File name 	: catalogs.h
 * Author 	: Paolo Montegriffo
 * Created on	: September, 2001	
 * Language	: ANSI C
 * Description	: Type definitions for catalogues structures
 * Version      : 2.1.3 - November 13, 2001
 *--------------------------------------------------------------------------*/

#ifndef CATALOGS_H
#define CATALOGS_H 1

BEGIN_C_DECLS

typedef struct CoincId_tag {
   char ** files;        /* Nome files */
   int     nfiles;       /* Numero files */
   int     nrec;         /* Numero totale di data record */
   int   * id;           /* Colonna ID */
   int  ** idf;          /* Matrice contro-identificazioni */
   unsigned int * ns;    /* Colonna NS */
   unsigned int * ns2;   /* Colonna NS */
   int  ** rank;         /* Matrice ranking di ordinamento */
} CoincId ;

END_C_DECLS

#endif /* !CATALOGS_H */
/*--------------------------------------------------------------------------*/
